package com.gem.media.splash.base.protocol;

public interface AdCallback {

    void onAdLoaded(String type, String ad_type, String reason, long time);
    void onAdShow(String type, String ad_type, String reason, long time);
    void onAdError(String type, String ad_type, String reason, long time);
    void onAdClick(String type, String ad_type, String reason, long time);
    void onAdClose(String type, String ad_type, String reason, long time);
    void onAdTimeOut(String type, String ad_type, String reason, long time);
}